Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

After having some problems with my DE after upgrading from Gnome 2 to Gnome 3, and then downgrading, and then installing and uninstalling xmonad, one day at start-up my login window was missing. It's not an entirely blank screen, though. The background is still there, and the on-screen keyboard which I have set to load at start-up is there as well. I can still switch to tty1-6 just fine, and so I've copied some log files that might be of some use in identifying the problem. They'll be posted below (1 per post, since they're long). Thanks in advance for any help. I'll be going on a trip for a week in 2 days, and so if I can't fix this before then, I'll probably be stuck with a liveUSB, so any assistance is greatly appreciated.

/var/log/apt/history.log

Start-Date: 2011-08-03  18:27:25
Install: libevolution:amd64 (2.32.2-0ubuntu7, automatic), libgnome-bluetooth8:amd64 (2.91.2.is.2.32.0-0ubuntu3), libcanberra-gtk3-0:amd64 (0.28-0ubuntu3), libgnome-desktop-3-0:amd64 (3.0.0-0ubuntu1), gnome-applets:amd64 (2.32.1.1-0ubuntu5, automatic), network-manager-gnome:amd64 (0.8.4~git.20110318t152954.9c4c9a0-0ubuntu1), totem-plugins:amd64 (2.32.0-0ubuntu10, automatic), evolution-plugins:amd64 (2.32.2-0ubuntu7, automatic), evolution:amd64 (2.32.2-0ubuntu7), gnome-settings-daemon:amd64 (2.32.1-0ubuntu13.1), indicator-applet-complete:amd64 (0.4.12-0ubuntu1, automatic), gir1.2-json-glib-1.0:amd64 (0.12.2-0ubuntu1, automatic), xulrunner-2.0-mozjs:amd64 (2.0+nobinonly-0ubuntu1, automatic), libmutter0:amd64 (3.0.0-0ubuntu1), libgtk-3-bin:amd64 (3.0.8-0ubuntu1), indicator-applet-appmenu:amd64 (0.4.12-0ubuntu1, automatic), eog:amd64 (2.32.1-0ubuntu2), libgtk-3-0:amd64 (3.0.8-0ubuntu1), gnome-bluetooth:amd64 (2.91.2.is.2.32.0-0ubuntu3), gnome-user-share:amd64 (2.30.2-0ubuntu2), libgail-3-0:amd64 (3.0.8-0ubuntu1), evince:amd64 (2.32.0-0ubuntu12), gnome-screensaver:amd64 (2.30.2-0ubuntu2), libcanberra-gtk3-module:amd64 (0.28-0ubuntu3), gnome-control-center:amd64 (2.32.1-0ubuntu15), evolution-data-server:amd64 (2.32.2-0ubuntu2, automatic), brasero:amd64 (2.32.1-0ubuntu2), gnome-panel:amd64 (2.32.1-0ubuntu6.5, automatic), capplets-data:amd64 (2.32.1-0ubuntu15, automatic), totem:amd64 (2.32.0-0ubuntu10), totem-mozilla:amd64 (2.32.0-0ubuntu10, automatic), gnome-icon-theme:amd64 (2.31.0-0ubuntu2, automatic), libgtk-3-common:amd64 (3.0.8-0ubuntu1, automatic)
Downgrade: gir1.2-notify-0.7:amd64 (0.7.3-1~natty1, 0.7.2-0ubuntu2), libpolkit-backend-1-0:amd64 (0.101-4~natty1, 0.101-1ubuntu1), gnome-session-canberra:amd64 (0.28-0ubuntu7~natty1, 0.28-0ubuntu3), libatk1.0-0:amd64 (2.0.1-2~natty1, 2.0.0-0ubuntu1), gconf2-common:amd64 (2.32.4-1ubuntu1~natty1, 2.32.2-0ubuntu2), telepathy-logger:amd64 (0.2.10-1~natty1, 0.2.6-1ubuntu1), metacity:amd64 (2.34.0-0ubuntu1~natty1, 2.30.3-0ubuntu8), telepathy-gabble:amd64 (0.12.0-1~natty1, 0.11.10-1ubuntu1), gnome-session-bin:amd64 (2.32.1-0ubuntu20, 2.32.1-0ubuntu19), libxklavier16:amd64 (5.1-1ubuntu1~natty1, 5.0-2ubuntu1), libgconf2-dev:amd64 (2.32.4-1ubuntu1~natty1, 2.32.2-0ubuntu2), poppler-utils:amd64 (0.16.7-2ubuntu1~natty1, 0.16.4-0ubuntu1), gir1.2-upowerglib-1.0:amd64 (0.9.12-1~natty1, 0.9.9-4), libglib2.0-data:amd64 (2.28.8-0ubuntu1~natty1, 2.28.6-0ubuntu1), libatk1.0-data:amd64 (2.0.1-2~natty1, 2.0.0-0ubuntu1), libpangomm-1.4-1:amd64 (2.28.2-1~natty1, 2.28.1-0ubuntu1), upower:amd64 (0.9.12-1~natty1, 0.9.9-4), desktop-file-utils:amd64 (0.18-0ubuntu5~natty1, 0.18-0ubuntu4), libecal1.2-8:amd64 (3.0.2.1-0ubuntu1~natty1, 2.32.2-0ubuntu2), gir1.2-telepathyglib-0.12:amd64 (0.14.9-0ubuntu1~natty1, 0.14.3-1ubuntu1), libibus2:amd64 (1.3.9-2ubuntu1~natty1, 1.3.9-0ubuntu3), telepathy-haze:amd64 (0.5.0-1~natty1, 0.4.0-1ubuntu), gir1.2-freedesktop:amd64 (0.10.8-1ubuntu1~natty1, 0.10.7-0ubuntu1), ibus-gtk:amd64 (1.3.9-2ubuntu1~natty1, 1.3.9-0ubuntu3), libtelepathy-logger2:amd64 (0.2.10-1~natty1, 0.2.6-1ubuntu1), gnome-menus:amd64 (3.0.0-0ubuntu1, 2.30.5-0ubuntu3), accountsservice:amd64 (0.6.13-1~natty1, 0.6.1-1), empathy-common:amd64 (2.34.0-0ubuntu3.1, 2.34.0-0ubuntu3), libvte-common:amd64 (0.28.1-1ubuntu1~natty1, 0.27.90-0ubuntu1), gnome-session-common:amd64 (2.32.1-0ubuntu20, 2.32.1-0ubuntu19), libwebkitgtk-1.0-common:amd64 (1.4.2-0ubuntu1~natty1, 1.3.13-0ubuntu2), libpolkit-gobject-1-0:amd64 (0.101-4~natty1, 0.101-1ubuntu1), gconf2:amd64 (2.32.4-1ubuntu1~natty1, 2.32.2-0ubuntu2), telepathy-idle:amd64 (0.1.10-1~natty1, 0.1.8-1ubuntu1), python-apt:amd64 (0.8.0~exp4ubuntu1~natty1, 0.7.100.3ubuntu6), libgirepository-1.0-1:amd64 (0.10.8-1ubuntu1~natty1, 0.10.7-0ubuntu1), libnotify4:amd64 (0.7.3-1~natty1, 0.7.2-0ubuntu2), libstartup-notification0:amd64 (0.12-1~natty1, 0.10-1build1), python-apt-common:amd64 (0.8.0~exp4ubuntu1~natty1, 0.7.100.3ubuntu6), libavahi-glib1:amd64 (0.6.30-3ubuntu1~natty1, 0.6.30-0ubuntu2), policykit-1:amd64 (0.101-4~natty1, 0.101-1ubuntu1), evolution-common:amd64 (3.0.2-0ubuntu1~natty1, 2.32.2-0ubuntu7), telepathy-salut:amd64 (0.5.0-1~natty1, 0.4.0-1), libcanberra-gtk-module:amd64 (0.28-0ubuntu7~natty1, 0.28-0ubuntu3), libpam-ck-connector:amd64 (0.4.5-1~natty1, 0.4.4-1), mutter-common:amd64 (3.0.2.1-2ubuntu2~natty1, 3.0.0-0ubuntu1), libgweather-common:amd64 (3.0.2-0ubuntu1~natty1, 2.30.3-1ubuntu1), gnome-desktop3-data:amd64 (3.0.2-2~natty1, 3.0.0-0ubuntu1), libsoup-gnome2.4-1:amd64 (2.34.3-1~natty1, 2.34.0-0ubuntu1), gir1.2-polkit-1.0:amd64 (0.101-4~natty1, 0.101-1ubuntu1), metacity-common:amd64 (2.34.0-0ubuntu1~natty1, 2.30.3-0ubuntu8), avahi-utils:amd64 (0.6.30-3ubuntu1~natty1, 0.6.30-0ubuntu2), gnome-nettool:amd64 (2.32.0-0ubuntu1.1, 2.32.0-0ubuntu1), libglibmm-2.4-1c2a:amd64 (2.28.1-1~natty1, 2.28.0-1), gir1.2-soup-2.4:amd64 (2.34.3-1~natty1, 2.34.0-0ubuntu1), librsvg2-common:amd64 (2.34.0-0ubuntu5~natty1, 2.32.1-0ubuntu3), libatk1.0-dev:amd64 (2.0.1-2~natty1, 2.0.0-0ubuntu1), librsvg2-dev:amd64 (2.34.0-0ubuntu5~natty1, 2.32.1-0ubuntu3), python-gmenu:amd64 (3.0.0-0ubuntu1, 2.30.5-0ubuntu3), libwnck22:amd64 (2.30.6-0ubuntu4~natty1, 2.30.6-0ubuntu3), libavahi-common-data:amd64 (0.6.30-3ubuntu1~natty1, 0.6.30-0ubuntu2), libavahi-core7:amd64 (0.6.30-3ubuntu1~natty1, 0.6.30-0ubuntu2), libck-connector0:amd64 (0.4.5-1~natty1, 0.4.4-1), gir1.2-telepathylogger-0.2:amd64 (0.2.10-1~natty1, 0.2.6-1ubuntu1), libgconf2-4:amd64 (2.32.4-1ubuntu1~natty1, 2.32.2-0ubuntu2), gir1.2-gconf-2.0:amd64 (2.32.4-1ubuntu1~natty1, 2.32.2-0ubuntu2), libcairomm-1.0-1:amd64 (1.10.0-1~natty1, 1.9.8-0ubuntu1), libgdk-pixbuf2.0-0:amd64 (2.23.5-2~natty1, 2.23.3-0ubuntu1), libgdata-common:amd64 (0.8.1-1~natty1, 0.8.0-0ubuntu1), libgdk-pixbuf2.0-dev:amd64 (2.23.5-2~natty1, 2.23.3-0ubuntu1), gnome-orca:amd64 (3.0.2-0ubuntu1~natty~build1, 3.0.0-0ubuntu2), telepathy-butterfly:amd64 (0.5.15-2.1~natty1, 0.5.15-1), libgdata11:amd64 (0.8.1-1~natty1, 0.8.0-0ubuntu1), libgdu0:amd64 (3.0.2-1ubuntu1~natty1, 2.32.1-0ubuntu4), gdm:amd64 (2.32.1-0ubuntu3.2, 2.32.1-0ubuntu3), libclutter-1.0-common:amd64 (1.6.16-0ubuntu3~natty1, 1.6.14-0ubuntu3), libavahi-ui0:amd64 (0.6.30-3ubuntu1~natty1, 0.6.30-0ubuntu2), gjs:amd64 (0.7.14-1ubuntu2~natty1, 0.7.13-2ubuntu1), libtelepathy-glib0:amd64 (0.14.9-0ubuntu1~natty1, 0.14.3-1ubuntu1), python-vte:amd64 (0.28.1-1ubuntu1~natty1, 0.27.90-0ubuntu1), libvte9:amd64 (0.28.1-1ubuntu1~natty1, 0.27.90-0ubuntu1), gconf-defaults-service:amd64 (2.32.4-1ubuntu1~natty1, 2.32.2-0ubuntu2), libegroupwise1.2-13:amd64 (3.0.2.1-0ubuntu1~natty1, 2.32.2-0ubuntu2), libgtop2-common:amd64 (2.28.3-2~natty1, 2.28.3-0ubuntu1), libclutter-1.0-0:amd64 (1.6.16-0ubuntu3~natty1, 1.6.14-0ubuntu3), evince-common:amd64 (2.32.0-0ubuntu12.2, 2.32.0-0ubuntu12), vino:amd64 (2.32.1-0ubuntu2.1, 2.32.1-0ubuntu2), gir1.2-atk-1.0:amd64 (2.0.1-2~natty1, 2.0.0-0ubuntu1), libpoppler-glib6:amd64 (0.16.7-2ubuntu1~natty1, 0.16.4-0ubuntu1), libnotify-dev:amd64 (0.7.3-1~natty1, 0.5.0-2ubuntu1), libcanberra-gtk0:amd64 (0.28-0ubuntu7~natty1, 0.28-0ubuntu3), libpango1.0-dev:amd64 (1.28.4-0ubuntu2~natty2, 1.28.4-0ubuntu1), nautilus-sendto:amd64 (2.32.0-0ubuntu1.1, 2.32.0-0ubuntu1), libdconf0:amd64 (0.7.5-3~natty1, 0.7.3-0ubuntu1), libtotem-plparser17:amd64 (2.32.5-2~natty1, 2.32.4-0ubuntu1), gir1.2-glib-2.0:amd64 (0.10.8-1ubuntu1~natty1, 0.10.7-0ubuntu1), libgtop2-7:amd64 (2.28.3-2~natty1, 2.28.3-0ubuntu1), gir1.2-gdkpixbuf-2.0:amd64 (2.23.5-2~natty1, 2.23.3-0ubuntu1), libquvi0:amd64 (0.2.15-1~natty1, 0.2.11-1), gsettings-desktop-schemas:amd64 (3.0.1-1ubuntu3~natty1, 3.0.0-0ubuntu1), ibus:amd64 (1.3.9-2ubuntu1~natty1, 1.3.9-0ubuntu3), libupower-glib1:amd64 (0.9.12-1~natty1, 0.9.9-4), avahi-daemon:amd64 (0.6.30-3ubuntu1~natty1, 0.6.30-0ubuntu2), libmission-control-plugins0:amd64 (5.7.11-1~natty1, 5.7.7-1), librsvg2-2:amd64 (2.34.0-0ubuntu5~natty1, 2.32.1-0ubuntu3), libavahi-client3:amd64 (0.6.30-3ubuntu1~natty1, 0.6.30-0ubuntu2), libwnck-common:amd64 (2.30.6-0ubuntu4~natty1, 2.30.6-0ubuntu3), libwebkitgtk-1.0-0:amd64 (1.4.2-0ubuntu1~natty1, 1.3.13-0ubuntu2), policykit-desktop-privileges:amd64 (0.7~natty1, 0.4), libpolkit-agent-1-0:amd64 (0.101-4~natty1, 0.101-1ubuntu1), evolution-data-server-common:amd64 (3.0.2.1-0ubuntu1~natty1, 2.32.2-0ubuntu2), libpango1.0-0:amd64 (1.28.4-0ubuntu2~natty2, 1.28.4-0ubuntu1), libgnome-menu2:amd64 (3.0.0-0ubuntu1, 2.30.5-0ubuntu3), yelp-xsl:amd64 (3.0.2-1~natty1, 3.0.0-0ubuntu1), libavahi-gobject0:amd64 (0.6.30-3ubuntu1~natty1, 0.6.30-0ubuntu2), libmetacity-private0:amd64 (2.34.0-0ubuntu1~natty1, 2.30.3-0ubuntu8), python-ibus:amd64 (1.3.9-2ubuntu1~natty1, 1.3.9-0ubuntu3), avahi-autoipd:amd64 (0.6.30-3ubuntu1~natty1, 0.6.30-0ubuntu2), libjson-glib-1.0-0:amd64 (0.13.4-2~natty1, 0.12.2-0ubuntu1), libavahi-common3:amd64 (0.6.30-3ubuntu1~natty1, 0.6.30-0ubuntu2), libpam-gnome-keyring:amd64 (3.0.3-2~natty1, 2.92.92.is.2.32.1-0ubuntu2), libpoppler13:amd64 (0.16.7-2ubuntu1~natty1, 0.16.4-0ubuntu1), libgjs0b:amd64 (0.7.14-1ubuntu2~natty1, 0.7.13-2ubuntu1), gnome-doc-utils:amd64 (0.20.6-0ubuntu1~natty1, 0.20.5-0ubuntu1), nautilus-sendto-empathy:amd64 (2.34.0-0ubuntu3.1, 2.34.0-0ubuntu3), libedataserver1.2-14:amd64 (3.0.2.1-0ubuntu1~natty1, 2.32.2-0ubuntu2), file-roller:amd64 (2.32.2-0ubuntu0.1, 2.32.1-0ubuntu4), libebook1.2-10:amd64 (3.0.2.1-0ubuntu1~natty1, 2.32.2-0ubuntu2), gir1.2-clutter-1.0:amd64 (1.6.16-0ubuntu3~natty1, 1.6.14-0ubuntu3), telepathy-mission-control-5:amd64 (5.7.11-1~natty1, 5.7.7-1), glib-networking:amd64 (2.28.7-1~natty1, 2.28.5-0ubuntu1), libatkmm-1.6-1:amd64 (2.22.5-1~natty1, 2.22.5-0ubuntu1), gir1.2-pango-1.0:amd64 (1.28.4-0ubuntu2~natty2, 1.28.4-0ubuntu1), libsoup2.4-1:amd64 (2.34.3-1~natty1, 2.34.0-0ubuntu1), libgnomekbd-common:amd64 (3.0.0.1-1~natty1, 2.32.0-0ubuntu1), consolekit:amd64 (0.4.5-1~natty1, 0.4.4-1)
Remove: libkresources4:amd64 (4.6.2-0ubuntu1), mesa-utils:amd64 (8.0.1+git20110129+d8f7d6b-0ubuntu2), libkprintutils4:amd64 (4.6.2-0ubuntu4), libkldap4:amd64 (4.6.2-0ubuntu1), linux-headers-2.6.38-8-generic:amd64 (2.6.38-8.42), libqt4-qt3support:amd64 (4.7.2-0ubuntu6.2), libebackend-1.2-1:amd64 (3.0.2.1-0ubuntu1~natty1), libknewstuff2-4:amd64 (4.6.2-0ubuntu4), linux-headers-2.6.38-8:amd64 (2.6.38-8.42), gir1.2-json-1.0:amd64 (0.13.4-2~natty1), libboost-program-options1.42.0:amd64 (1.42.0-4ubuntu2), libakonadi-kmime4:amd64 (4.6.2-0ubuntu1), libakonadiprotocolinternals1:amd64 (1.5.2-0ubuntu1), gnome-control-center-data:amd64 (3.0.2-1ubuntu3~natty1), libmozjs185-1.0:amd64 (1.8.5-1.0.0-0ubuntu5), mysql-server-core-5.1:amd64 (5.1.54-1ubuntu4), apturl-kde:amd64 (0.4.2ubuntu5.1), libaccountsservice0:amd64 (0.6.13-1~natty1), kdesudo:amd64 (3.4.2.3-2ubuntu3), libedata-cal-1.2-11:amd64 (3.0.2.1-0ubuntu1~natty1), akonadi-server:amd64 (1.5.2-0ubuntu1), libmicroblog4:amd64 (4.6.2-0ubuntu1), libedata-book-1.2-9:amd64 (3.0.2.1-0ubuntu1~natty1), apg:amd64 (2.2.3.dfsg.1-2), libkabc4:amd64 (4.6.2-0ubuntu1), mysql-client-core-5.1:amd64 (5.1.54-1ubuntu4), software-properties-kde:amd64 (0.80.9), libkcal4:amd64 (4.6.2-0ubuntu1), libcamel-1.2-23:amd64 (3.0.2.1-0ubuntu1~natty1), libkimap4:amd64 (4.6.2-0ubuntu1), libmailtransport4:amd64 (4.6.2-0ubuntu1), libkmime4:amd64 (4.6.2-0ubuntu1), kdepimlibs-kio-plugins:amd64 (4.6.2-0ubuntu1), libakonadi-kabc4:amd64 (4.6.2-0ubuntu1), python-gnomeapplet:amd64 (2.32.0-0ubuntu2), libkpimutils4:amd64 (4.6.2-0ubuntu1), kdepim-runtime:amd64 (4.4.10-0ubuntu2), libakonadi-kcal4:amd64 (4.6.2-0ubuntu1), libakonadi-kde4:amd64 (4.6.2-0ubuntu1), python-kde4:amd64 (4.6.2b-0ubuntu1.1)
End-Date: 2011-08-03  18:36:01

Start-Date: 2011-08-03  18:43:01
Commandline: apt-get upgrade
Upgrade: telepathy-logger:amd64 (0.2.6-1ubuntu1, 0.2.6-1ubuntu1.2), gnome-session-bin:amd64 (2.32.1-0ubuntu19, 2.32.1-0ubuntu20), poppler-utils:amd64 (0.16.4-0ubuntu1, 0.16.4-0ubuntu1.1), libtelepathy-logger2:amd64 (0.2.6-1ubuntu1, 0.2.6-1ubuntu1.2), empathy-common:amd64 (2.34.0-0ubuntu3, 2.34.0-0ubuntu3.1), gnome-session-common:amd64 (2.32.1-0ubuntu19, 2.32.1-0ubuntu20), python-apt:amd64 (0.7.100.3ubuntu6, 0.7.100.3ubuntu6.1), python-apt-common:amd64 (0.7.100.3ubuntu6, 0.7.100.3ubuntu6.1), libsoup-gnome2.4-1:amd64 (2.34.0-0ubuntu1, 2.34.0-0ubuntu1.1), gnome-nettool:amd64 (2.32.0-0ubuntu1, 2.32.0-0ubuntu1.1), gir1.2-soup-2.4:amd64 (2.34.0-0ubuntu1, 2.34.0-0ubuntu1.1), gir1.2-telepathylogger-0.2:amd64 (0.2.6-1ubuntu1, 0.2.6-1ubuntu1.2), gdm:amd64 (2.32.1-0ubuntu3, 2.32.1-0ubuntu3.2), evince-common:amd64 (2.32.0-0ubuntu12, 2.32.0-0ubuntu12.2), vino:amd64 (2.32.1-0ubuntu2, 2.32.1-0ubuntu2.1), libpoppler-glib6:amd64 (0.16.4-0ubuntu1, 0.16.4-0ubuntu1.1), evince:amd64 (2.32.0-0ubuntu12, 2.32.0-0ubuntu12.2), nautilus-sendto:amd64 (2.32.0-0ubuntu1, 2.32.0-0ubuntu1.1), libpoppler13:amd64 (0.16.4-0ubuntu1, 0.16.4-0ubuntu1.1), nautilus-sendto-empathy:amd64 (2.34.0-0ubuntu3, 2.34.0-0ubuntu3.1), file-roller:amd64 (2.32.1-0ubuntu4, 2.32.2-0ubuntu0.1), glib-networking:amd64 (2.28.5-0ubuntu1, 2.28.6.1-0ubuntu1), libsoup2.4-1:amd64 (2.34.0-0ubuntu1, 2.34.0-0ubuntu1.1)
End-Date: 2011-08-03  18:44:54

Start-Date: 2011-08-03  18:45:30
Commandline: apt-get install ubuntu-desktop
Install: ubuntu-artwork:amd64 (53.8), ubuntu-desktop:amd64 (1.220), unity:amd64 (3.8.16-0ubuntu1~natty1), evolution-indicator:amd64 (0.2.14-0ubuntu4), system-config-printer-gnome:amd64 (1.3.1+20110222-0ubuntu16.3), gnome-session:amd64 (2.32.1-0ubuntu20), evolution-exchange:amd64 (2.32.2-0ubuntu3), transmission-gtk:amd64 (2.13-0ubuntu8), empathy:amd64 (2.34.0-0ubuntu3.1), indicator-applet:amd64 (0.4.12-0ubuntu1, automatic), software-center:amd64 (4.0.4), banshee:amd64 (2.0.0-2ubuntu2), gnome-codec-install:amd64 (0.4.7ubuntu3), simple-scan:amd64 (2.32.0.1-0ubuntu2), banshee-extension-soundmenu:amd64 (2.0.0-2ubuntu2, automatic), indicator-applet-session:amd64 (0.4.12-0ubuntu1), gnome-themes-ubuntu:amd64 (0.6.1), banshee-extension-ubuntuonemusicstore:amd64 (2.0.0-2ubuntu2, automatic), apturl:amd64 (0.4.2ubuntu5.1, automatic), ubuntu-mono:amd64 (0.0.30, automatic), xul-ext-ubufox:amd64 (0.9.1-0ubuntu0.11.04.1), unity-asset-pool:amd64 (0.8.20-0ubuntu2, automatic), pitivi:amd64 (0.13.5-1ubuntu4), ubuntuone-client-gnome:amd64 (1.6.2-0ubuntu1), humanity-icon-theme:amd64 (0.5.3.10, automatic), light-themes:amd64 (0.1.8.13, automatic)
End-Date: 2011-08-03  18:47:38

Start-Date: 2011-08-03  22:40:45
Install: battery-status:amd64 (0.1.1-0ubuntu3), python-gnomeapplet:amd64 (2.32.0-0ubuntu2, automatic)
End-Date: 2011-08-03  22:41:52

Start-Date: 2011-08-06  22:35:06
Commandline: apt-get install xmonad
Install: libghc6-utf8-string-dev:amd64 (0.3.6-1ubuntu2, automatic), libghc6-xmonad-contrib-dev:amd64 (0.9.1-1ubuntu2, automatic), libgmp3-dev:amd64 (4.3.2+dfsg-1ubuntu3, automatic), libghc6-xmonad-contrib-doc:amd64 (0.9.1-1ubuntu2, automatic), ghc6-doc:amd64 (6.12.3-1ubuntu7, automatic), libffi-dev:amd64 (3.0.9-3ubuntu1, automatic), libghc6-xmonad-dev:amd64 (0.9.1-2build4, automatic), libghc6-xmonad-doc:amd64 (0.9.1-2build4, automatic), libbsd-dev:amd64 (0.2.0-1, automatic), libghc6-mtl-dev:amd64 (1.1.0.2-10build2, automatic), libghc6-mtl-doc:amd64 (1.1.0.2-10build2, automatic), libxt-dev:amd64 (1.0.9-1ubuntu1, automatic), xmonad:amd64 (0.9.1-2build4), ghc6-haddock:amd64 (6.12.3-1ubuntu7, automatic), libghc6-x11-xft-dev:amd64 (0.3-5ubuntu1, automatic), ghc6:amd64 (6.12.3-1ubuntu7, automatic), libghc6-x11-xft-doc:amd64 (0.3-5ubuntu1, automatic), libghc6-x11-dev:amd64 (1.5.0.0-2build2, automatic), libghc6-x11-doc:amd64 (1.5.0.0-2build2, automatic)
End-Date: 2011-08-06  22:36:49

Start-Date: 2011-08-06  22:49:53
Commandline: apt-get install dmenu
Install: suckless-tools:amd64 (38-1)
End-Date: 2011-08-06  22:50:08

Start-Date: 2011-08-06  22:54:09
Install: dwm:amd64 (5.8.2-3)
End-Date: 2011-08-06  22:56:07

Start-Date: 2011-08-06  23:25:14
Commandline: apt-get remove xmonad
Remove: xmonad:amd64 (0.9.1-2build4)
End-Date: 2011-08-06  23:25:45

Start-Date: 2011-08-06  23:26:41
Commandline: apt-get remove dmenu
Remove: suckless-tools:amd64 (38-1)
End-Date: 2011-08-06  23:26:47

Start-Date: 2011-08-07  17:20:35
Commandline: apt-get install devilspie -y
Install: devilspie:amd64 (0.22-1)
End-Date: 2011-08-07  17:20:50

Start-Date: 2011-08-07  17:21:08
Commandline: apt-get autoremove
Remove: libghc6-utf8-string-dev:amd64 (0.3.6-1ubuntu2), libghc6-xmonad-contrib-dev:amd64 (0.9.1-1ubuntu2), libgmp3-dev:amd64 (4.3.2+dfsg-1ubuntu3), libghc6-xmonad-contrib-doc:amd64 (0.9.1-1ubuntu2), ghc6-doc:amd64 (6.12.3-1ubuntu7), libffi-dev:amd64 (3.0.9-3ubuntu1), libghc6-xmonad-dev:amd64 (0.9.1-2build4), libghc6-xmonad-doc:amd64 (0.9.1-2build4), libbsd-dev:amd64 (0.2.0-1), libghc6-mtl-dev:amd64 (1.1.0.2-10build2), libghc6-mtl-doc:amd64 (1.1.0.2-10build2), libxt-dev:amd64 (1.0.9-1ubuntu1), ghc6-haddock:amd64 (6.12.3-1ubuntu7), libghc6-x11-xft-dev:amd64 (0.3-5ubuntu1), ghc6:amd64 (6.12.3-1ubuntu7), libghc6-x11-xft-doc:amd64 (0.3-5ubuntu1), libghc6-x11-dev:amd64 (1.5.0.0-2build2), libghc6-x11-doc:amd64 (1.5.0.0-2build2)
End-Date: 2011-08-07  17:21:38

Start-Date: 2011-08-08  04:44:53
Install: gtkhash:amd64 (0.3.0-2), libmhash2:amd64 (0.9.9.9-1, automatic)
End-Date: 2011-08-08  04:46:03
share|improve this question

migrated from stackoverflow.com Aug 11 '11 at 21:37

This question came from our site for professional and enthusiast programmers.

    
/var/log/apt/term.log pastebin.com/5RVBUtq5 __ /var/log/Xorg.0.log pastebin.com/x608hbbv –  Sotanaht Aug 11 '11 at 21:21
add comment

1 Answer 1

i see from the logs that your gdm has been fiddled with. maybe try yo reinstall gdm and see if that helps

also, check your boot.log and dmesg files in /var/log/ for anything strange

share|improve this answer
    
Sorry I haven't replied to this thread in a while. I got caught up with school. I ended up trying a few things, one of which being selecting "Upgrade Ubuntu 11.04 to Ubuntu 11.04" (or something like that) from a liveUSB. This ended up completely breaking my Ubuntu install, so that I couldn't even access tty1. So I bit the bullet and reinstalled Ubuntu, and haven't had any problems since. –  Sotanaht Sep 13 '11 at 22:38
    
glad you've got a working system again –  Dirk Hartzer Waldeck Sep 14 '11 at 10:52
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.